.m-matching-game-type-5{
    display: flex;
    flex: none;
    width: 100%;
    position: relative;
    &__right{
        flex: 3;
        padding-left: 0.4rem;
        padding-right: 1rem;
        & > .form-input-stretch{
            width: 100% !important;
            margin-left: 0 !important;
            margin-right: 0 !important;
            position: relative;
        }
    }
    &__table-matching{
        .question-table-MG5{
            display: flex;
            flex-direction: column;
            &__content-talbe{
                display: flex;
                flex-direction: row;
            }
            &__left{
                flex: 1.5;
                .question-table{
                    &.question-table-MG5-table{
                        width: calc(100% - 16px);
                        &.error{
                            box-shadow: 0 0 0 1px #dd3a09;
                        }
                      thead{
                        width: 100%;
                        tr{
                            width: 100%;
                            height: 50px;
                            th{
                                padding: 5px;
                                &:nth-child(1){
                                    width: 100px;
                                    text-align: left;
                                }
                                &:nth-child(2),
                                &:nth-child(3){
                                    width: inherit;
                                    text-align: left;
                                }
                                &:nth-child(4){
                                    width: 25px;
                                    text-align: center;
                                    padding: 0;
                                }
                            }
                        }
                      } 
                      tbody{
                        tr{
                            td{
                                height: 60px;
                                .rs-toggle{   
                                    .rs-toggle-presentation{
                                        background: #67AB8D;
                                        min-width: 80px;
                                    }
                                }
                                .rs-toggle-checked {
                                    .rs-toggle-presentation{
                                        background: #F8C116 !important;
                                    }
                                }
                                img.ic-action{
                                    margin: 0;
                                }
                                .image-input-mg5{
                                    position: relative;
                                    left: 5px;
                                    top: 0;
                                      .image-mg5{
                                        cursor: pointer;
                          
                                        .image{
                                          position: relative;
                                          display: flex;
                                          justify-content: flex-start;
                                          flex: 1;
                          
                                          .image-container{
                                            display: flex;
                                            align-items: center;
                                            width: calc(100% - 20px);
                                            flex-direction: row;
                                            .image-wraper{
                                                height: 50px;
                                                width: 50px;
                                                flex: none;
                                                border-radius: 8px;
                                                box-shadow: 0 0 0 1px #d4dde7;
                                                display: flex;
                                                align-items: center;
                                                justify-content: center;
                                                position: relative;
                                                img{
                                                    &.image-upload{
                                                        height: 40px;
                                                        width: 40px;
                                                        object-fit: contain;
                                                    }
                                                    &.image-default{
                                                        height: 30px;
                                                        width: 30px;
                                                        object-fit: contain;
                                                    }
                                                    
                                                  }
                                            }
                                          }

                                          input[type=file]{
                                            height: 50px;
                                            width: 50px;
                                            position: absolute;
                                            display: none;
                                          }
                                        }

                                        &.error{
                                            .image{
                                                .image-container{
                                                    .image-wraper{
                                                        box-shadow: 0 0 0 1px #dd3a09;
                                                    }
                                                }
                                            }
                                            
                                        }
                                      }
                          
                                      &___isDelete{
                                        max-width: 17px;
                                        max-height: 17px;
                                        position: absolute;
                                        top: -5px;
                                        right: -8px;
                                        cursor: pointer;
                                      }
                          
                                      .label-image{
                                        width: 100%;
                                        color: #000;
                                        text-align: left;
                                        margin-left: 10px;
                                      }
                                }
                                .custom-input{
                                    display: flex;
                                    flex-direction: row;
                                    align-items: baseline;
                                    span{
                                      padding: 0.5rem 0;  
                                    }
                                    input{
                                        padding: 0.5rem 0;
                                        &::-webkit-input-placeholder { /* Edge */
                                            color: #c3c3c3;
                                        }
                                          
                                        &:-ms-input-placeholder { /* Internet Explorer 10-11 */
                                            color: #c3c3c3;
                                        }
                                          
                                        &::placeholder {
                                            color: #c3c3c3;
                                        }
                                    }
                                    &.--example{
                                        span,input{
                                            color: #67ab8d;
                                        }
                                    }
                                }
                                &.toggle-error{
                                    .rs-toggle{
                                        .rs-toggle-presentation{
                                            box-shadow: 0 0 0 1px #dd3a09;
                                        }
                                    }
                                }
                            }
                            &.--example{
                                background-color: rgba($color: #3dc47d, $alpha: 0.15);
                            }
                            &.error{
                                border: 1px solid #dd3a09;
                            }
                            &.question-table-mg5-action{
                                td{
                                    height: 40px;
                                    background-color: #ffffff !important;
                                    .add-new-answer-mg5 {
                                        display: flex;
                                        align-items: center;
                                        justify-content: flex-start;
                                        cursor: pointer;
                                        color: #309fc3;
                                        font-weight: 500;
                                        &.error{
                                          padding: 10px 5px;
                                          border-radius: 8px;
                                          border: 1px solid #dd3a09;
                                          width: fit-content;
                                        }
                                      }
                                }
                            }
                        }
                      } 
                    }
                }
            }
            &__right{
                flex: 1;
                .question-table{
                    &.question-table-MG5-table{
                        width: 100%;
                        &.error{
                            box-shadow: 0 0 0 1px #dd3a09;
                        }
                        thead{
                            tr{
                                height: 50px;
                                width: 100%;
                                th{
                                    padding: 5px;
                                    &:nth-child(1){
                                        width: inherit;
                                        text-align: left;
                                    }
                                    &:nth-child(2){
                                        width: 75px;
                                        text-align: center;
                                    }
                                    &:nth-child(3){
                                        width: 25px;
                                        text-align: center;
                                        padding: 0;
                                    }
                                }
                            }
                        }
                        tbody{
                            tr{
                                td{
                                    height: 61px;

                                    input[type = 'text']{
                                        &::-webkit-input-placeholder { /* Edge */
                                            color: #c3c3c3;
                                        }
                                          
                                        &:-ms-input-placeholder { /* Internet Explorer 10-11 */
                                            color: #c3c3c3;
                                        }
                                          
                                        &::placeholder {
                                            color: #c3c3c3;
                                        }
                                    }
                                    img.ic-action{
                                        margin: 0;
                                    }
                                    
                                    .rs-picker{
                                        .rs-picker-toggle.rs-btn-xs{
                                            width: 6rem;
                                            padding-top: 6px !important;
                                            padding-bottom: 6px !important;
                                            .rs-picker-toggle-value{
                                                color: #595858;
                                                font-weight: 500;
                                                box-shadow: 0px 1px 0px 0px #595858;
                                                line-height: 1.3rem;
                                                text-align: center;
                                                font-size: 13px;
                                            }
                                        }
                                    }
                                    &.order_default{
                                        .rs-picker{
                                            .rs-picker-toggle.rs-btn-xs{
                                                .rs-picker-toggle-value{
                                                    box-shadow: none;
                                                }
                                            }
                                        }  
                                    }
                                    
                                }
                                &.--example{
                                    background-color: rgba($color: #3dc47d, $alpha: 0.15);
                                    td{
                                        color: #67ab8d;
                                        .rs-picker{
                                            
                                            .rs-picker-toggle.rs-btn-xs{
                                                background-color: rgba($color: #3dc47d, $alpha: 0.15) !important;
                                                .rs-picker-toggle-value{
                                                    color: #67ab8d;
                                                    box-shadow: 0px 1px 0px 0px #67ab8d;
                                                }
                                            }
                                        }
                                    }
                                }
                                &.question-table-mg5-action{
                                    td{
                                        height: 40px;
                                        background-color: #ffffff !important;
                                        .add-new-answer-mg5 {
                                            display: flex;
                                            align-items: center;
                                            justify-content: flex-start;
                                            cursor: pointer;
                                            color: #309fc3;
                                            font-weight: 500;
                                            &.error{
                                              padding: 10px 5px;
                                              border-radius: 8px;
                                              border: 1px solid #dd3a09;
                                              width: fit-content;
                                            }
                                          }
                                    }
                                }
                            }
                        }   
                    }
                }
            }
        }
    }

    .form-error-message{
        position: relative;
        display: flex;
        flex-direction: column;
    }
}